Subject: bug#16647: Imprecisions with window-resizing cursors

From: [email-masked] (N. Jackson)
Date: Thu, 20 Feb 2014 00:32:01 -0400

At 14:17 -0400 on Sunday 2014-02-16, N. Jackson wrote:

> At 06:32 -0400 on Sunday 2014-02-16, martin rudalics wrote:
>
>> Suppose you
>>
>> (set-frame-parameter nil 'right-divider-width 24)
>>
>> Then the <=> shows for a width of 24 pixels here.  Doesn't it with your
>> setup?

I tested again running GNU Emacs 24.3.50 (x86_64-unknown-linux-gnu, GTK+
Version 3.8.8) of 2014-02-19 Repository revision: 116484
[email-masked]

With the recipe above I no longer see the bug. The <=> handle now never
seems to be displayed much beyond the vertical line, and it seems I can
always click and drag it.

>>>>> Another bug
>>>>> ===========
>>>>> When the vertical line is as far to the right in the frame as it
>>>>> will go (i.e., when the right window is as narrow as permitted),
>>>>> then the <=> handle only appears when the mouse cursor approaches
>>>>> the vertical line from the right. If the mouse cursor approaches
>>>>> the vertical line from the left, the <=> handle fails to
>>>>> appear. (Ditto with "left" and "right" reversed in that statement.)
>>>>>
>>>> Interesting.  I cannot observe that here.
>>>
>>> I double checked this. I definitely see this happening, but I was
>>> mistaken about the "ditto". When the vertical line is as far to the left
>>> as it will go, the <=> handle only appears when the mouse cursor
>>> approaches the vertical line from the _right_ -- the same direction as
>>> for the case with the vertical line as far to the left as it will go.
>                                                      ^^^^
> I should have said "right" here of course.                                                     
>
>> Double checked this too.  I still can't see what you describe.
>
> Recipe:
>
> Emacs -Q
>
> M-: (progn (scroll-bar-mode -1) (split-window-right) )
>
> Drag vertical line as far as it will go to the right.
>
> Approach (and cross) vertical line with mouse cursor from the
> left. (Bug: I do not see the mouse cursor turn into the <=> handle.)
>
> Approach (and cross) vertical line with mouse cursor from the right. (I
> see the mouse cursor correctly turn into <=> handle.)

Regardless of where the vertical line is, it is now almost impossible to
get the <=> handle to appear at all when approaching the vertical line
from the left -- I get it once in about fifty attempts. When approaching
the vertical line from the right, the <=> handle appears normally (and
it now appears normally when the vertical line is all the way to the
left as well).

N.